org.apache.cayenne.access.sqlbuilder

## Class SelectBuilder

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.BaseBuilder
  - - org.apache.cayenne.access.sqlbuilder.SelectBuilder

- All Implemented Interfaces:
    NodeBuilder

      public class SelectBuilder
      extends BaseBuilder

  Since:
    4.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.sqlbuilder.BaseBuilder

      `nodes, root`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SelectBuilder` | `distinct()`
    `SelectBuilder` | `from(NodeBuilder... tables)`
    `SelectBuilder` | `from(NodeBuilder table)`
    `SelectBuilder` | `groupBy(Node node)`
    `SelectBuilder` | `groupBy(NodeBuilder... params)`
    `SelectBuilder` | `having(Node node)`
    `SelectBuilder` | `having(NodeBuilder... params)`
    `SelectBuilder` | `limitOffset(int limit, int offset)`
    `SelectBuilder` | `orderBy(NodeBuilder... params)`
    `SelectBuilder` | `orderBy(NodeBuilder param)`
    `SelectBuilder` | `result(NodeBuilder selectExpression)`
    `SelectBuilder` | `top(int count)`
    `SelectBuilder` | `where(Node node)`
    `SelectBuilder` | `where(NodeBuilder... params)`

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.BaseBuilder

      `build, getRoot, node`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### distinct

          public SelectBuilder distinct()

    - #### top

          public SelectBuilder top(int count)

    - #### result

          public SelectBuilder result(NodeBuilder selectExpression)

    - #### from

          public SelectBuilder from(NodeBuilder table)

    - #### from

          public SelectBuilder from(NodeBuilder... tables)

    - #### where

          public SelectBuilder where(NodeBuilder... params)

    - #### where

          public SelectBuilder where(Node node)

    - #### orderBy

          public SelectBuilder orderBy(NodeBuilder... params)

    - #### orderBy

          public SelectBuilder orderBy(NodeBuilder param)

    - #### groupBy

          public SelectBuilder groupBy(NodeBuilder... params)

    - #### groupBy

          public SelectBuilder groupBy(Node node)

    - #### having

          public SelectBuilder having(NodeBuilder... params)

    - #### having

          public SelectBuilder having(Node node)

    - #### limitOffset

          public SelectBuilder limitOffset(int limit,
                                           int offset)

Copyright © 2001–2021 Apache Cayenne. All rights reserved.